/* include this header in game code to get the usable parts of the engine */
#ifndef GAME_API_H
#define GAME_API_H


#include "townengine/context.h"
#include "townengine/rendering.h"
#include "townengine/audio.h"
#include "townengine/util.h"
#include "townengine/input.h"


#ifndef HOT_RELOAD_SUPPORT
/* sole game logic and display function.
   all state must be used from and saved to supplied state pointer. */
extern void game_tick(void);

/* called when application is closing. */
extern void game_end(void);
#endif

#endif
